<?
	/*
		Identifica al usuario para permitirle el paso a las secciones
		restringidas del sistema.
		Recibe: el login y password del usuario
		Devuelve: crea una sesion que identifica al usuario y redirige a la
		pagina de inicio correspondiente.
	*/
	
	session_start();
	
	// Recuperamos las variables necesarias del formulario
	$login = $_POST["login"];
	$password = $_POST["password"];
	
	
	// Escribimos la consulta que vamos a realizar
	$query = "SELECT * FROM user WHERE Login = '".$login."' AND Pass = '".$password."'";
	
	
	// Importamos el archivo de conexion con la base de datos
	include("conexion.php");
	
	// Realizamos la consulta a la base de datos
	$respuesta = mysql_query($query, $conexion);
	
	// Comprobamos si se ha encontrado el usuario en la base de datos
	if(mysql_fetch_array($respuesta))
	{
	 // Creamos la variable de identificacion de usuario
	 session_register("login");
	 
	 // Guardamos el valor de identificacion
	 $_SESSION['login']=$login;
	 
	 // Cerramos la conexion a la base de datos
	 mysql_close($conexion);
	 
	 
	 // Reenviamos a la pagina adecuada
	 header("Location: ../index.php");
	}
	else
	{
	 // El usuario NO existe
	 // Destruimos la sesion
	 session_destroy();
	 
	 header("Location: ../error_login.php");
	}
?>